AnsweredAssumed Answered

MYS-6ULX yocto build error

Question asked by Katerina Voulgary on Oct 21, 2019
Latest reply on Oct 25, 2019 by Katerina Voulgary

Hello NXP forum,

 

We have a MYirtech MYS-6ULX IoT, the vendor supports their 4.1 kernel and u-boot and a layer meta-myir which builds on Yocto 2.1 (korgoth)/Ubuntu 16.04.5 LTS 64-bit as per their instructions. Switching distribution is not a solution neither is using outdated software. I 'm in Debian 9. As of now, I cannot make it build, the latest error is about perl.

 

I have installed perlbrew and perl-5.22.1 through perlbrew and then "perlbrew switch perl-5.22.1", it didn't work.

Has anyone managed to work with the board on 2019? Could you share some info or experience? Perhaps someone knows if I should try to build their kernel to Yocto latest instead?

 

I attached the error log for "bitbake openssl".

 

Thanks.

Attachments

Outcomes